# NVConditionalRender (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class NVConditionalRender

    java.lang.Object
      org.lwjgl.opengl.NVConditionalRender

    public final class NVConditionalRender

extends java.lang.Object

Field Summary
`static int` `GL_QUERY_BY_REGION_NO_WAIT_NV` Accepted by the <mode> parameter of BeginConditionalRenderNV:
`static int` `GL_QUERY_BY_REGION_WAIT_NV` Accepted by the <mode> parameter of BeginConditionalRenderNV:
`static int` `GL_QUERY_NO_WAIT_NV` Accepted by the <mode> parameter of BeginConditionalRenderNV:
`static int` `GL_QUERY_WAIT_NV` Accepted by the <mode> parameter of BeginConditionalRenderNV:

Method Summary
`static void` `glBeginConditionalRenderNV(int id, int mode)`
`static void` `glEndConditionalRenderNV()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_QUERY_WAIT_NV

    public static final int GL_QUERY_WAIT_NV

  Accepted by the <mode> parameter of BeginConditionalRenderNV:

  See Also:
    Constant Field Values

### GL_QUERY_NO_WAIT_NV

    public static final int GL_QUERY_NO_WAIT_NV

  Accepted by the <mode> parameter of BeginConditionalRenderNV:

  See Also:
    Constant Field Values

### GL_QUERY_BY_REGION_WAIT_NV

    public static final int GL_QUERY_BY_REGION_WAIT_NV

  Accepted by the <mode> parameter of BeginConditionalRenderNV:

  See Also:
    Constant Field Values

### GL_QUERY_BY_REGION_NO_WAIT_NV

    public static final int GL_QUERY_BY_REGION_NO_WAIT_NV

  Accepted by the <mode> parameter of BeginConditionalRenderNV:

  See Also:
    Constant Field Values

Method Detail

### glBeginConditionalRenderNV

    public static void glBeginConditionalRenderNV(int id,
                                                  int mode)

### glEndConditionalRenderNV

    public static void glEndConditionalRenderNV()

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.